# Visualization
TKService
AlienImage

# AlienImage_GIFAlienData Class Reference

`#include <AlienImage_GIFAlienData.hxx>`

Inheritance diagram for AlienImage_GIFAlienData:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_GIFAlienData ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by GIFAlienData .
| ~AlienImage_GIFAlienData ()
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a GIFAlienData object from a file Returns True if file is a GIF file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a GIFAlienData object to a file .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a GIFAlienData object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a GIFAlienData object.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | FromPseudoColorImage (const Handle(Image_PseudoColorImage)&anImage)
| convert a Image object to a GIFAlienData object.
Standard_EXPORT void | FromColorImage (const Handle(Image_ColorImage)&anImage)
| convert a Image object to a GIFAlienData object.

## Private Attributes

Standard_Address | myRedColors
Standard_Address | myGreenColors
Standard_Address | myBlueColors
Standard_Address | myData
Standard_Integer | myWidth
Standard_Integer | myHeight

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_GIFAlienData::AlienImage_GIFAlienData | ( |  | ) |

AlienImage_GIFAlienData::~AlienImage_GIFAlienData | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_GIFAlienData::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_GIFAlienData::FromColorImage | ( | const Handle(Image_ColorImage)& | anImage | ) | `[private]`

Standard_EXPORT void AlienImage_GIFAlienData::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT void AlienImage_GIFAlienData::FromPseudoColorImage | ( | const Handle(Image_PseudoColorImage)& | anImage | ) | `[private]`

Standard_EXPORT const AlienImage_GIFAlienData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Standard_Boolean AlienImage_GIFAlienData::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Handle_Image_Image AlienImage_GIFAlienData::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Standard_Boolean AlienImage_GIFAlienData::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

## Field Documentation

Standard_Address AlienImage_GIFAlienData::myBlueColors `[private]`

Standard_Address AlienImage_GIFAlienData::myData `[private]`

Standard_Address AlienImage_GIFAlienData::myGreenColors `[private]`

Standard_Integer AlienImage_GIFAlienData::myHeight `[private]`

Standard_Address AlienImage_GIFAlienData::myRedColors `[private]`

Standard_Integer AlienImage_GIFAlienData::myWidth `[private]`

The documentation for this class was generated from the following file:

- AlienImage_GIFAlienData.hxx